#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majvers		%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	gegl
Version		:	0.4.48
Release		:	17.0.10.rel%{?dist}
Summary		:	Graph based image processing framework

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	http://www.gegl.org/
			#https://gitlab.gnome.org/GNOME/gegl/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	babl-devel
BuildRequires	:	dejavu-fonts
BuildRequires	:	exiv2-devel
BuildRequires	:	gcc-c++
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gtk-doc
BuildRequires	:	gobject-introspection
BuildRequires	:	gettext
BuildRequires	:	graphviz
BuildRequires	:	lcms2
BuildRequires	:	librsvg-devel
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	libtiff
BuildRequires	:	libwebp
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	pango
BuildRequires	:	pkgconfig(json-glib-1.0)
BuildRequires	:	python3-Pygments
BuildRequires	:	python3-pygobject
BuildRequires	:	ruby
BuildRequires	:	vala

Requires	:	graphviz
#-----------------------------------------------------------------------------
%description
GEGL (Generic Graphics Library) is a graph based image processing framework.
GEGLs original design was made to scratch GIMP's itches for a new compositing
and processing core. This core is being designed to have minimal dependencies
and a simple well defined API.
 

#-----------------------------------------------------------------------------
%files			 -f %{name}-%{majvers}.lang
%defattr(-,root,root,-)
%license COPYING.LESSER
%{_libdir}/lib%{name}-%{majvers}.so.0*
%{_libdir}/%{name}-%{majvers}/*.json
%{_libdir}/girepository-1.0/Gegl-%{majvers}.typelib

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use GEGL 

#-----------------------------------------------------------------------------
%files			devel
%doc %{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%doc %{_datadir}/gtk-doc/html/%{name}/style.css
%{_includedir}/%{name}-%{majvers}/*.h
%{_includedir}/%{name}-%{majvers}/npd/*.h
%{_includedir}/%{name}-%{majvers}/operation/%{name}-extension*.h
%{_includedir}/%{name}-%{majvers}/operation/%{name}-operation*.h
%{_includedir}/%{name}-%{majvers}/opencl/*.h
%{_includedir}/%{name}-%{majvers}/sc/sc-*.h
%{_libdir}/lib%{name}-%{majvers}.so
%{_libdir}/lib%{name}-npd-%{majvers}.so
%{_libdir}/lib%{name}-sc-%{majvers}.so
%{_libdir}/%{name}-%{majvers}/*.so
%{_libdir}/pkgconfig/%{name}-%{majvers}.pc
%{_libdir}/pkgconfig/%{name}-sc-%{majvers}.pc
%{_datadir}/gir-1.0/Gegl-%{majvers}.gir
%{_datadir}/vala/vapi/%{name}-%{majvers}.deps
%{_datadir}/vala/vapi/%{name}-%{majvers}.vapi

#=============================================================================
%package		tools

Summary		:	Command line tools for %{name}

#-----------------------------------------------------------------------------

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
The %{name}-tools package contains tools for the command line
that use the %{name} library.

#-----------------------------------------------------------------------------
%files			tools
%license COPYING
%{_bindir}/%{name}*
 
#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson								\
	setup							\
	--prefix=%{_prefix}					\
	--sysconfdir=%{_sysconfdir}				\
	--sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\
	--auto-features=auto					\
	-D parallel-tests=true					\
	-D operation-test=true					\
	-D docs=false						\
	-D gtk-doc=true						\
	..
	
%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja							\
	%{_smp_mflags}

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

%find_lang %{name}-%{majvers}
 
#-----------------------------------------------------------------------------
%changelog
